Loading...
Searching...
No Matches
pt-tools.c File Reference

## Macros

#define | _(String)
#define | pt_limit_lookup _GL_ATTRIBUTE_PURE __pt_limit_lookup

## Functions

int | ptt_clear_sectors (PedDevice *dev, PedSector start, PedSector n)
int | ptt_geom_clear_sectors (PedGeometry *geom, PedSector start, PedSector n)
int | ptt_partition_max_length (char const *pt_type, PedSector *max)
int | ptt_partition_max_start_len (char const *pt_type, const PedPartition *part)
int | ptt_partition_max_start_sector (char const *pt_type, PedSector *max)
int | ptt_read_sector (PedDevice const *dev, PedSector sector_num, void **buf)
int | ptt_read_sectors (PedDevice const *dev, PedSector start_sector, PedSector n_sectors, void **buf)
int | ptt_write_sector (PedDisk const *disk, void const *buf, size_t buflen)

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## pt_limit_lookup

#define pt_limit_lookup _GL_ATTRIBUTE_PURE __pt_limit_lookup

## Function Documentation

## ptt_clear_sectors()

int ptt_clear_sectors | ( | PedDevice * | dev,
|  | PedSector | start,
|  | PedSector | n )

## ptt_geom_clear_sectors()

int ptt_geom_clear_sectors | ( | PedGeometry * | geom,
|  | PedSector | start,
|  | PedSector | n )

## ptt_partition_max_length()

int ptt_partition_max_length | ( | char const * | pt_type,
|  | PedSector * | max )

## ptt_partition_max_start_len()

int ptt_partition_max_start_len | ( | char const * | pt_type,
|  | const PedPartition * | part )

## ptt_partition_max_start_sector()

int ptt_partition_max_start_sector | ( | char const * | pt_type,
|  | PedSector * | max )

## ptt_read_sector()

int ptt_read_sector | ( | PedDevice const * | dev,
|  | PedSector | sector_num,
|  | void ** | buf )

## ptt_read_sectors()

int ptt_read_sectors | ( | PedDevice const * | dev,
|  | PedSector | start_sector,
|  | PedSector | n_sectors,
|  | void ** | buf )

## ptt_write_sector()

int ptt_write_sector | ( | PedDisk const * | disk,
|  | void const * | buf,
|  | size_t | buflen )